Creación de proyecto en Android 5.0 Lollipop con Eclipse Juno

He actualizado todos los paquetes relacionados 5.0 en SDK Manager y cuando creo un nuevo proyecto en Eclipse que muestra la versión de destino como 4.X (L Preview) en lugar de 5.0! Alguien me puede ayudar a resolver este problema en Eclipse. Y también no estoy recibiendo el appcompat_v21 para menores niveles de API de apoyo!

Introduzca aquí la descripción de la imagen

Introduzca aquí la descripción de la imagen

Editar: Añadido captura de pantalla de SDK Manager Tools.

Introduzca aquí la descripción de la imagen

Puede cambiar su proyecto a 5.0 después de crear el proyecto desde las propiedades …

Right click project --> Properties --> Android --> Select Android 5.0 from project build path. 
  • Error al actualizar sdk
  • java / error de análisis. intentando enviar desde android sdk a Parse
  • El jerarquizador no funciona
  • Android / bitmap.h: Ningún archivo o directorio (después de actualizar las herramientas de Android SDK a la revisión 14)
  • Si escribo una aplicación con Android 4 Platform, ¿funcionará la aplicación en dispositivos Android 2?
  • Intentando actualizar ADT - recibiendo error de "dependencia en conflicto"
  • Android Comunicación entre Broadcast Receiver y MainActivity (Enviar datos a la actividad)
  • No se puede instalar SDK Platform 4.0.3
  • Mostrar el widget de brindis debajo de una vista
  • SDK mínimo recomendado para aplicaciones para Android
  • Error desconocido para las API de Google Intel x86 Atom System Image (Android Studio)
  • FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.